Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#5 Doesn't exit cleanly using X button

None
closed
nobody
None
5
2013-12-28
2013-10-17
Tim Hutt
No

Python process doesn't exit on windows is you press the X to close the window and leaves two python processes running. It works as expected if you use File->Exit however.

Related

Bug reports/feature requests: #5

Discussion

  • tohc1
    tohc1
    2013-10-17

    • Group: -->
     
  • tohc1
    tohc1
    2013-10-17

    Currently the close buttons on the editor and console windows only hide the window rather than exiting the application. This was done to allow the user to work with only the editor or console. Hiding both leaves only the taskbar icon which can be used to re-open the windows.

    Maybe a better solution would be to add a check to offer to exit completely if both are closed.

     
  • Tim Hutt
    Tim Hutt
    2013-10-17

    Ah I see, that's rather confusing! I think the most logical behaviour would
    be to close the application when all the windows have been closed. Then you
    can just minimise the app if you want to hide it. That's how virtually all
    apps work anyway.

    On 17 October 2013 14:47, tohc1 tohc1@users.sf.net wrote:

    Currently the close buttons on the editor and console windows only hide
    the window rather than exiting the application. This was done to allow the
    user to work with only the editor or console. Hiding both leaves only the
    taskbar icon which can be used to re-open the windows.

    Maybe a better solution would be to add a check to offer to exit
    completely if both are closed.


    Status: open
    Created: Thu Oct 17, 2013 12:53 PM UTC by Tim Hutt
    Last Updated: Thu Oct 17, 2013 12:53 PM UTC
    Owner: nobody

    Python process doesn't exit on windows is you press the X to close the
    window and leaves two python processes running. It works as expected if you
    use File->Exit however.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/pythontoolkit/feature-requests/5/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bug reports/feature requests: #5

  • tohc1
    tohc1
    2013-12-28

    • status: open --> closed